Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3339 - "/usr/bin/install" problems
Summary: "/usr/bin/install" problems
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: fileutils
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-08 16:52 UTC by gerald
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-31 23:18:31 UTC


Attachments (Terms of Use)

Description gerald 1999-06-08 16:52:20 UTC
The line

install -D name dir/newname

in a spec file is executed as

install -D name dir/name

That is, name is copied to dir as name and not as newname.

BTW, rpm -tb foo-1.0.tar.gz should first look for
foo.spec or foo-1.0.spec and not take the first spec file
it finds.

Comment 1 Jeff Johnson 1999-06-08 18:48:59 UTC
I do not understand what you are describing. Can you reply
to this message with your specfile? Thanks.

------- Email Received From  Gerald Teschl <gerald@mat.univie.ac.at> 06/08/99 15:31 -------

Comment 2 Jeff Johnson 1999-06-08 21:05:59 UTC
There are two problems here. The 1st problem is that
	install -D SOURCE /A/B/C/DEST
should create /A/B/C/DEST but it actually creates /A/B/C/SOURCE.
This is a bug in fileutils (I'll change the component).

If you *really* want to include *.spec in a tarball and build
by doing "rpm -tb foo.tar.gz" then call the main spec file
Specfile. rpm looks for that file before it tries to untar
(possibly multiple) *.spec files. The problem there, of course,
is the name space collision that can occur if you have more
than one package with a main spec file called Specfile.

Off to fileutils

------- Email Received From  Gerald Teschl <gerald@mat.univie.ac.at> 06/09/99 03:33 -------

Comment 3 Jeff Johnson 1999-06-09 09:51:59 UTC
If you think the command is working on the command line, try
	cd /tmp
	touch SOURCE
	install -D SOURCE /var/tmp/A/B/DEST
	ls -al /var/tmp/A/B/DEST
where I get
	ls: /var/tmp/A/B/DEST: No such file or directory

The man page for install sez'
       -D     create  all  leading  components of DEST except the
              last, then copy SOURCE to DEST;  useful in the  1st
              format
which AFAICT means that DEST (not SOURCE!) should be the name of the
created file.


------- Email Received From  Gerald Teschl <gerald@mat.univie.ac.at> 06/09/99 08:49 -------

Comment 4 Jeff Johnson 1999-08-31 23:18:59 UTC
Fixed in fileutils-4.0-4.


Note You need to log in before you can comment on or make changes to this bug.